Raspberry pi 64 bit lässt sich nicht aktualisieren

Registriere dich jetzt, um exklusive Vorteile zu genießen! Als registriertes Mitglied kannst du Inhalte herunterladen und profitierst von einem werbefreien Forum.
Mach mit und werde Teil unserer Community!
  • Hallo ihr lieben Helfer,

    seit einiger Zeit lässt sich mein Raspi (400) nicht mehr aktualisieren.

    Zuerst habe ich apt-get benutzt, und der folgenden befehle, als dies nicht half nutzte ich nur apt, doch es gab immer nur die gleichen Fehlermeldungen. :@

    Bitte helft mir weiter, das suchen im Netz war bislang erfolglos.


    root@lars:~# apt update

    OK:1 http://security.debian.org/debian-security bullseye-security InRelease

    OK:2 http://deb.debian.org/debian bullseye InRelease

    OK:3 http://archive.raspberrypi.org/debian bullseye InRelease

    OK:4 http://deb.debian.org/debian bullseye-updates InRelease

    Paketlisten werden gelesen… Fertig

    Abhängigkeitsbaum wird aufgebaut… Fertig

    Statusinformationen werden eingelesen… Fertig

    Aktualisierung für 1 Paket verfügbar. Führen Sie »apt list --upgradable« aus, um es anzuzeigen.

    root@lars:~# apt upgrade

    Paketlisten werden gelesen… Fertig

    Abhängigkeitsbaum wird aufgebaut… Fertig

    Statusinformationen werden eingelesen… Fertig

    Probieren Sie »apt --fix-broken install«, um dies zu korrigieren.

    Die folgenden Pakete haben unerfüllte Abhängigkeiten:

    linux-image-arm64 : Hängt ab von: linux-image-5.10.0-23-arm64 (= 5.10.179-3) aber 5.10.179-2 ist installiert

    E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt --fix-broken install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).

    root@lars:~# apt --fix-broken install

    Paketlisten werden gelesen… Fertig

    Abhängigkeitsbaum wird aufgebaut… Fertig

    Statusinformationen werden eingelesen… Fertig

    Abhängigkeiten werden korrigiert … Fertig

    Die folgenden zusätzlichen Pakete werden installiert:

    linux-image-5.10.0-23-arm64

    Vorgeschlagene Pakete:

    linux-doc-5.10 debian-kernel-handbook

    Die folgenden Pakete werden aktualisiert (Upgrade):

    linux-image-5.10.0-23-arm64

    1 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

    11 nicht vollständig installiert oder entfernt.

    Es müssen noch 0 B von 45,2 MB an Archiven heruntergeladen werden.

    Nach dieser Operation werden 1.024 B Plattenplatz zusätzlich benutzt.

    Möchten Sie fortfahren? [J/n] j

    Changelogs werden gelesen... Fertig

    (Lese Datenbank ... 172459 Dateien und Verzeichnisse sind derzeit installiert.)

    Vorbereitung zum Entpacken von .../linux-image-5.10.0-23-arm64_5.10.179-3_arm64.

    deb ...

    Entpacken von linux-image-5.10.0-23-arm64 (5.10.179-3) über (5.10.179-2) ...

    dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/linux-image-5.1

    0.0-23-arm64_5.10.179-3_arm64.deb (--unpack):

    Link zur Sicherung von »./boot/System.map-5.10.0-23-arm64« vor Installation der

    neuen Version kann nicht angelegt werden: Die Operation ist nicht erlaubt

    dpkg-deb: Fehler: »einfügen«-Unterprozess wurde durch Signal (Datenübergabe unte

    rbrochen (broken pipe)) getötet

    W: Last kernel image has been removed, so removing the default symlinks

    Fehler traten auf beim Bearbeiten von:

    /var/cache/apt/archives/linux-image-5.10.0-23-arm64_5.10.179-3_arm64.deb

    E: Sub-process /usr/bin/dpkg returned an error code (1)


    :danke_ATDE: für eure Hilfe

  • Wie ist die Ausgabe von:

    Code
    ls -la /boot

    ?

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • Kommt mir irgendwie bekannt vor:



    MfG


    Jürgen


    Edit: Herzlich Willkommen im Forum

  • pi@lars:~ $ ls -la /boot

    insgesamt 101632

    drwxr-xr-x 3 root root 4096 1. Jan 1970 .

    drwxr-xr-x 18 root root 4096 7. Aug 09:09 ..

    -rwxr-xr-x 1 root root 30390 5. Apr 13:32 bcm2710-rpi-2-b.dtb

    -rwxr-xr-x 1 root root 32142 5. Apr 13:32 bcm2710-rpi-3-b.dtb

    -rwxr-xr-x 1 root root 32753 5. Apr 13:32 bcm2710-rpi-3-b-plus.dtb

    -rwxr-xr-x 1 root root 30285 5. Apr 13:32 bcm2710-rpi-cm3.dtb

    -rwxr-xr-x 1 root root 31318 5. Apr 13:32 bcm2710-rpi-zero-2.dtb

    -rwxr-xr-x 1 root root 31318 5. Apr 13:32 bcm2710-rpi-zero-2-w.dtb

    -rwxr-xr-x 1 root root 52682 5. Apr 13:32 bcm2711-rpi-400.dtb

    -rwxr-xr-x 1 root root 52593 5. Apr 13:32 bcm2711-rpi-4-b.dtb

    -rwxr-xr-x 1 root root 53202 5. Apr 13:32 bcm2711-rpi-cm4.dtb

    -rwxr-xr-x 1 root root 38182 5. Apr 13:32 bcm2711-rpi-cm4-io.dtb

    -rwxr-xr-x 1 root root 50504 5. Apr 13:32 bcm2711-rpi-cm4s.dtb

    -rwxr-xr-x 1 root root 52476 5. Apr 13:32 bootcode.bin

    -rwxr-xr-x 1 root root 147 3. Mai 05:23 cmdline.txt

    -rwxr-xr-x 1 root root 254162 14. Jul 22:24 config-5.10.0-23-arm64

    -rwxr-xr-x 1 root root 2335 6. Aug 20:59 config.txt

    -rwxr-xr-x 1 root root 18693 5. Apr 13:32 COPYING.linux

    -rwxr-xr-x 1 root root 3173 5. Apr 13:32 fixup4cd.dat

    -rwxr-xr-x 1 root root 5399 5. Apr 13:32 fixup4.dat

    -rwxr-xr-x 1 root root 8381 5. Apr 13:32 fixup4db.dat

    -rwxr-xr-x 1 root root 8387 5. Apr 13:32 fixup4x.dat

    -rwxr-xr-x 1 root root 3173 5. Apr 13:32 fixup_cd.dat

    -rwxr-xr-x 1 root root 7266 5. Apr 13:32 fixup.dat

    -rwxr-xr-x 1 root root 10230 5. Apr 13:32 fixup_db.dat

    -rwxr-xr-x 1 root root 10228 5. Apr 13:32 fixup_x.dat

    -rwxr-xr-x 1 root root 45434823 17. Jul 08:22 initrd.img-5.10.0-23-arm64

    -rwxr-xr-x 1 root root 145 3. Mai 05:23 issue.txt

    -rwxr-xr-x 1 root root 8219600 5. Apr 13:32 kernel8.img

    -rwxr-xr-x 1 root root 1594 5. Apr 13:32 LICENCE.broadcom

    drwxr-xr-x 2 root root 24576 3. Mai 04:53 overlays

    -rwxr-xr-x 1 root root 805756 5. Apr 13:32 start4cd.elf

    -rwxr-xr-x 1 root root 3747688 5. Apr 13:32 start4db.elf

    -rwxr-xr-x 1 root root 2251392 5. Apr 13:32 start4.elf

    -rwxr-xr-x 1 root root 2998888 5. Apr 13:32 start4x.elf

    -rwxr-xr-x 1 root root 805756 5. Apr 13:32 start_cd.elf

    -rwxr-xr-x 1 root root 4819624 5. Apr 13:32 start_db.elf

    -rwxr-xr-x 1 root root 2975680 5. Apr 13:32 start.elf

    -rwxr-xr-x 1 root root 3722504 5. Apr 13:32 start_x.elf

    -rwxr-xr-x 1 root root 83 14. Jul 22:24 System.map-5.10.0-23-arm64

    -rwxr-xr-x 1 root root 27400128 14. Jul 22:24 vmlinuz-5.10.0-23-arm64

  • rpi444

    fred0815

    etwas anderes habe ich sonst nicht installiert, nur die notwendige Software, die ich zum Arbeiten benötige; LibreOffice und Firefox ESR, dies abber schon gleich, nach dem ich das Betriebssystem installiert hbe.

  • pi@lars:~ $ ls -la /boot

    Code
    -rwxr-xr-x  1 root root   254162 14. Jul 22:24 config-5.10.0-23-arm64t
    -rwxr-xr-x  1 root root 45434823 17. Jul 08:22 initrd.img-5.10.0-23-arm64
    -rwxr-xr-x  1 root root       83 14. Jul 22:24 System.map-5.10.0-23-arm64
    -rwxr-xr-x  1 root root 27400128 14. Jul 22:24 vmlinuz-5.10.0-23-arm64

    Wie kommen diese 4 Dateien in das /boot-Verzeichnis deines PI?

    Der PI bzw. dessen installiertes OS, brauchen diese Dateien nicht.

    Schau mal in den Dateien:

    Code
    /var/log/apt/history.log
    /var/log/apt/term.log

    nach, was dort am 14. und 17. Juli eingetragen worden ist.

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • Danke für die Hilfe, ich kapituliere, ich werde auf einer noch freien SD-Karte ein neues Betriebssystem laden.

  • Mir ist gerade aufgefallen, dass ich schon im März Probleme mit diesen Dateien in /boot hatte: